You may experience errors in your Product Feed, with varying severities.
Errors that are fatal mean those items are not created, while errors with a severity of warning are informational but items are created.
Even when you see items with severity fatal the rest of the products with no errors are created.
A Product Feed Upload Error object
curl -G \ -d "access_token=<ACCESS_TOKEN>" \ https://graph.facebook.com/<API_VERSION>/<UPLOAD_ID>/errors
The response:
{
"data": [
{
"id" : 1510567479166488,
"summary" : "Group Mismatch for Property: shipping.",
"description" : "Property shipping must have the same value for all items in the same group.",
"severity" : "fatal",
"row_number" : 10,
"column_number" : 5
},
{
"id" : 275241589314958,
"summary" : "Price Without Currency for Property: shipping_price_value, shipping_price_currency",
"description" : "Property shipping_price_value, shipping_price_currency is a price that has been specified without a currency.",
"severity" : "warning",
"row_number" : 17,
"column_number" : 40
}
]
}| Field | Description |
|---|---|
idnumeric string | ID of the product feed upload error |
affected_surfaceslist<enum {Dynamic Ads, Marketplace, US Marketplace}> | The ad type (e.g. Dynamic Ads) or surface (e.g. Marketplace) that will be affected by this error |
descriptionstring | Longer user-readable description of the error |
error_typeenum | Type of the error encountered in the feed upload |
severityenum {fatal, warning} | Severity of the error |
summarystring | Short user-readable summary of the error |
total_countunsigned int32 | Total count of errors of this type in the product feed file |
| Edge | Description |
|---|---|
Edge<ProductFeedUploadErrorSample> | Samples (concrete instances) of the error |
Edge<ProductFeedRuleSuggestion> | Specifications for suggested rulesthat might fix this error |
| Error | Description |
|---|---|
| 100 | Invalid parameter |